{
  "name": "icydraw",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build:prod": "NODE_ENV=production tsc && webpack --mode=production",
    "server": "NODE_ENV=production node dist/server/",
    "watch": "concurrently \"tsc -w\" \"nodemon dist/server/\" \"webpack --mode=development -w\""
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "connect-redis": "^6.1.3",
    "express": "^4.17.3",
    "express-session": "^1.17.2",
    "passport": "^0.5.2",
    "passport-icynet": "^0.0.2",
    "redis": "^3.1.2",
    "remove": "^0.1.5",
    "socket.io": "^4.4.1",
    "sqlite": "^4.0.25",
    "sqlite3": "^5.0.2",
    "three": "^0.139.2",
    "toml": "^3.0.0"
  },
  "devDependencies": {
    "@babel/plugin-transform-runtime": "^7.17.0",
    "@babel/preset-env": "^7.16.11",
    "@babel/preset-typescript": "^7.16.7",
    "@types/connect-redis": "^0.0.18",
    "@types/express-session": "^1.17.4",
    "@types/passport": "^1.0.7",
    "@types/passport-oauth2": "^1.4.11",
    "@types/seedrandom": "^3.0.2",
    "@types/sqlite3": "^3.1.8",
    "@types/three": "^0.139.0",
    "@types/webpack-dev-server": "^4.7.2",
    "babel-loader": "^8.2.4",
    "concurrently": "^7.1.0",
    "css-loader": "^6.7.1",
    "hls.js": "^1.1.5",
    "html-webpack-plugin": "^5.5.0",
    "mini-css-extract-plugin": "^2.6.0",
    "nodemon": "^2.0.15",
    "prettier": "^2.6.1",
    "regenerator-runtime": "^0.13.9",
    "sass": "^1.49.10",
    "sass-loader": "^12.6.0",
    "seedrandom": "^3.0.5",
    "socket.io-client": "^4.4.1",
    "typescript": "^4.6.3",
    "webpack": "^5.70.0",
    "webpack-cli": "^4.9.2",
    "webpack-dev-server": "^4.7.4"
  }
}
